<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.crgs.system.mapper.TDataTypeCodeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.crgs.system.entity.TDataTypeCode">
        <id column="id" property="id" />
        <result column="type" property="type" />
        <result column="level" property="level" />
        <result column="code" property="code" />
        <result column="p_code" property="pCode" />
        <result column="name" property="name" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, type, level, code, p_code, name, create_by, create_time, update_by, update_time
    </sql>

</mapper>
